// mishmash.hpp//
// Copyright (C) 2019-2020 MicroNeil Research Corporation.
//
// This software is released under the MIT license. See LICENSE.TXT.
//
// Mishamash is a non-cryptographic hash optimized for short strings.

#pragma once
#include <string>
#include <vector>

namespace codedweller {

uint64_t mishmash(const unsigned char* buffer, size_t length, uint64_t accumulator) noexcept;
uint32_t mishmash(const unsigned char* buffer, size_t length) noexcept;
uint32_t mishmash(const std::string &s) noexcept;
uint32_t mishmash(const std::vector<unsigned char>& v) noexcept;

} // End namespace codedweller
